This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 975905 - remote emacs windows don't resize properly
remote emacs windows don't resize properly
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 11:01 EDT by Jeffrey C. Ollie
Modified: 2015-02-17 10:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:38:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot demonstrating problem (53.11 KB, image/png)
2013-06-19 11:01 EDT, Jeffrey C. Ollie
no flags Details

  None (edit)
Description Jeffrey C. Ollie 2013-06-19 11:01:08 EDT
Created attachment 763008 [details]
screenshot demonstrating problem

Description of problem:
Remote emacs windows won't resize properly.  The window decorations will resize (border, title bar, etc.) but the contents stay the same size.  This only happens with emacs windows that have been forwarded over a SSH connection from another machine.

Version-Release number of selected component (if applicable):
emacs-24.2-18.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. SSH to remote system
2. Open an emacs window
3. Try to resize window

Actual results:
Contents do not resize

Expected results:
Contents resize.

Additional info:
Comment 1 Rune Kleveland 2013-08-05 05:36:46 EDT
Hi!

I have exactly the same problem connecting to a remote F19 machine from an F19 machine.  Connecting from Fedora 18 to the remote machine works fine.  It also works to connect from Fedora 19 to Fedora 18, but not 19 to 19.
Comment 2 David Smith 2013-10-11 15:50:17 EDT
I'm seeing the same thing.
Comment 3 David Smith 2013-10-11 15:51:52 EDT
It also happens with '-q' (no init file), so it seems to be a generic issue.
Comment 4 Rune Kleveland 2014-02-02 16:12:33 EST
It also happens when connecting to F20 from F20.  But not between every pair of F20 machines.  I have not found any pattern or action making the problem go away yet.
Comment 5 Lars E. Pettersson 2014-12-30 14:16:55 EST
I have not seen this on F19 or F20, but when I updated my server to F21 this bug turned up (exactly as described in the screen-shot in the description above). 

I.e, for me it turned up using F21 to F21 (F21 to F20, and F20 to F20 worked fine). Both machines uses the same emacs setup (via Dropbox).

I do see this on other windows also, so this might not be an emacs specific bug.

The comments on this bug are quite old, do you still see this issue. If not, how did you make it go away?
Comment 6 Rune Kleveland 2014-12-30 14:49:55 EST
The bug happens occationally between F20 machines, usually just after one of them was rebooted.  But it happens less frequently than before.  It also happens between F21 machines, but I have not seen it connecting F21 to F20.

I haven't done anything to make it go away, and I have no idea what to do either.
Comment 7 Fedora End Of Life 2015-01-09 13:28:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 10:38:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.